<?php
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/complaint_detail.php';
 
$database = new Database();
$db = $database->getConnection();

$complaint_detail = new ComplaintDetail($db);
$data = json_decode(file_get_contents("php://input"));

$complaint_detail->complaint_id = $data->id;

$arr = array();
$stmt = $complaint_detail->getOneComplaint();
$num = $stmt->rowCount();
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);

		$detail=array(
            "id" => (int)$id,
            "answer_date" => $answer_date,
            "answer_by" => $answer_by,
            "remark" => $remark,
        );
        array_push($arr, $detail);
    }
}


echo json_encode($arr);
?>